$schema: "http://json-schema.org/draft-06/schema#"

title: compute v1 HttpFaultAbort export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  httpStatus:
    description: |-
      The HTTP status code used to abort the request. The value must be from 200
      to 599 inclusive. For gRPC protocol, the gRPC status code is mapped to
      HTTP status code according to this mapping table. HTTP status 200 is
      mapped to gRPC status UNKNOWN. Injecting an OK status is currently not
      supported by Traffic Director.
    type: integer
  percentage:
    description: |-
      The percentage of traffic for connections, operations, or requests that is
      aborted as part of fault injection. The value must be from 0.0 to 100.0
      inclusive.
    type: number
